Skip to content

Organizations

GET /organizations

Response:

[
{
"id": "string",
"name": "string",
"slug": "string",
"member_count": 0,
"project_count": 0
}
]
GET /organizations/{org_slug}

Path parameters:

NameTypeDescription
org_slugstring

Response:

{
"id": "string",
"name": "string",
"slug": "string",
"members": [
{
"user_id": "string",
"username": "string",
"email": {},
"admin": true
}
],
"project_count": 0,
"application_count": 0
}
POST /organizations

Request body:

{
"name": "string",
"slug": "string"
}

Response:

{
"id": "string",
"name": "string",
"slug": "string",
"members": [
{
"user_id": "string",
"username": "string",
"email": {},
"admin": true
}
],
"project_count": 0,
"application_count": 0
}
POST /organizations/{org_slug}/members

Path parameters:

NameTypeDescription
org_slugstring

Request body:

{
"username": "string",
"admin": true
}

Response:

{
"id": "string",
"name": "string",
"slug": "string",
"members": [
{
"user_id": "string",
"username": "string",
"email": {},
"admin": true
}
],
"project_count": 0,
"application_count": 0
}
POST /organizations/{org_slug}/members/{user_id}/toggle-admin

Path parameters:

NameTypeDescription
org_slugstring
user_idstring

Response:

{
"ok": true,
"admin": true
}
DELETE /organizations/{org_slug}/members/{user_id}

Path parameters:

NameTypeDescription
org_slugstring
user_idstring

Response:

{
"ok": true
}